Manage filtered accounts by portfolio

Adds the accounts in bulk to the specified portfolio.

This operation supports filtering of accounts based the value of a subset of properties. Depending on the property, you may use a combination of comparison operators, list operators, and logical operators.

A portfolio is a collection of accounts. Intelligent Risk Platform analyzes a portfolio of accounts as a unit and produces portfolio-level results.

The required id path parameter and datasource query parameter identify a portfolio.

Parameters specified in the body of the request enable you to identify accounts to add to the portfolio.

{
    "selectAll": false,
    "markedAccounts": [
        45,
        46,
        47
    ],
    "queryFilter": "",
    "manageExistingAccounts": false
}

Path Params
int64
required
≥ 1

ID of EDM.

int32
required
≥ 1

ID of the portfolio.

Body Params
boolean

Scope of accounts to add to portfolio. If true, adds all accounts selected by the specified queryFilter parameter. If no queryFilter parameter is specified, all accounts are added to the portfolio. Overrides markedAccounts parameter.

string

Expression that selects accounts. All accounts returned by the query are added to the portfolio.

markedAccounts
array of int32s

List of accounts identified by account ID. The specified accounts are added to the portfolio.

markedAccounts
boolean

Scope of accounts. If true, only existing accounts can be added to portfolio. All specified markedAccount values are ignored. All specified queryFilter values are ignored.

Responses
200

Portfolio accounts with filter updated.

Language
Credentials
URL
LoadingLoading…
Response
Choose an example:
application/json